/***************************************************************************
 *   Copyright Brian Ledbetter 2001-2003 <brian@shadowcom.net>             *
 *   Copyright Ravikiran Rajagopal 2003                                    *
 *   ravi@ee.eng.ohio-state.edu                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License (version 2) as   *
 *   published by the Free Software Foundation. (The original KSplash/ML   *
 *   codebase (upto version 0.95.3) is BSD-licensed.)                      *
 *                                                                         *
 ***************************************************************************/
#ifndef 	__ROTWIDGET_H__
#define 	__ROTWIDGET_H__

#include <qlabel.h>
#include <qtimer.h>
#include <qwidget.h>

#include <kdialogbase.h>
#include <kpixmap.h>

/**
 * @short Display a rotating-gradient widget, reminiscent of Windows 2000.
 */
class 	RotWidget: public QWidget
{
  Q_OBJECT
public:
  RotWidget( QWidget *, const QColor&, const QColor&, int );
  ~RotWidget();

private slots:
  void stepEvent();

protected:
  void	preparePixmap( int );
  void	paintEvent( QPaintEvent * );
  void	resizeEvent( QResizeEvent * );

  QColor m_color1, m_color2;
  int m_step, m_speed;
  QTimer *m_stepTimer;

  QList<KPixmap> m_stepPixmap;
};

#endif
