/***************************************************************************
 *   Copyright Brian Ledbetter 2001-2003 <brian@shadowcom.net>             *
 *   Copyright Ravikiran Rajagopal 2003                                    *
 *   ravi@ee.eng.ohio-state.edu                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License (version 2) as   *
 *   published by the Free Software Foundation. (The original KSplash/ML   *
 *   codebase (upto version 0.95.3) is BSD-licensed.)                      *
 *                                                                         *
 ***************************************************************************/

#ifndef  __THEMEX_H__
#define  __THEMEX_H__

#include <qlabel.h>
#include <qwidget.h>

#include <kdialogbase.h>
#include <kprogress.h>

#include <ksplash/themeengine.h>
#include "icon.h"
#include "iconbar.h"

class ThemeMacX : public ThemeEngine
{
  Q_OBJECT
public:
  ThemeMacX( QWidget *, const char*, const QStringList& args );
  ~ThemeMacX();

  inline const QString name()
  {
    return( QString("KSplash/X") );
  }
  inline const KDialogBase *config( KConfig *kc )
  {
    return 0L;
  }
  static QStringList names()
  {
    QStringList Names;
    Names << "KSplashX";
    Names << "KSplashOSX";
    Names << "OSX";
    Names << "X";
    Names << "Mac OS X";
    return( Names );
  };

public slots:
  void slotSetPixmap( const QString& );
  inline void slotUpdateProgress( int i )
  {
    if(mProgress)
      mProgress->setValue( i );
  }
  inline void slotUpdateSteps( int i )
  {
    if(mProgress)
      mProgress->setRange( 1, i );
  }

private:
  void initUi();
  void readSettings();

  IconBar *mIconBar;
  KProgress *mProgress;

  unsigned int mMinSize, mMaxSize;
  bool mOptimizedRendering, mUseProgress;
  QRect mProgressPos;
  bool mIconsJumping;
};

#endif
